Bug 1328452 - moving liveusb-creator to a different display runs out of memory and kills desktop
moving liveusb-creator to a different display runs out of memory and kills de...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: liveusb-creator (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Bříza
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1310542
  Show dependency treegraph
 
Reported: 2016-04-19 08:13 EDT by Kamil Páral
Modified: 2016-12-20 15:01 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 15:01:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
system journal during system hang (63.63 KB, text/plain)
2016-04-19 08:13 EDT, Kamil Páral
no flags Details
normal size (665.96 KB, image/png)
2016-04-19 08:27 EDT, Kamil Páral
no flags Details
bigger size (363.61 KB, image/png)
2016-04-19 08:28 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2016-04-19 08:13:34 EDT
Created attachment 1148541 [details]
system journal during system hang

Description of problem:
I have two 1920x1080 displays. When I run liveusb-creator and try to move it to a different display, its window immediately enlarges and the whole system gets stuck, the liveusb-creator window flickers. After a minute or two, the system runs out of memory and kills liveusb-creator, often taking down the whole session with it.

Version-Release number of selected component (if applicable):
liveusb-creator-3.92.1-1.fc23.noarch (also fc24 version)

How reproducible:
Tested on 4 different computers, reproduced 4 out of 4 times.

Steps to Reproduce:
0. save your data
1. run liveusb-creator in a multihead setup
2. move it to a different display
3. see system get stuck
Comment 1 Martin Bříza 2016-04-19 08:24:31 EDT
What environment are you running in? X or Wayland?
This seems to be caused by the window scaling code. On my Xorg GNOME 3.18.4 it's okay though.
Comment 2 Kamil Páral 2016-04-19 08:26:59 EDT
I think this might be related to some broken high DPI detection in QT. Because when I don't try to move the window from one screen to another, but run it directly from that particular screen, on one of the screens (external display) I have "normal"-sized UI, but on the other screen (internal laptop display) I have "doubled"-sized UI. Both screens are 1920x1080.

All of this is reported on X11.

xrandr output:
$ xrandr 
Screen 0: minimum 8 x 8, current 3840 x 1080, maximum 32767 x 32767
eDP1 connected 1920x1080+0+0 (normal left inverted right x axis y axis) 309mm x 173mm
   1920x1080     60.05*+
   1400x1050     59.98  
   1600x900      60.00  
   1280x1024     60.02  
   1280x960      60.00  
   1368x768      60.00  
   1280x720      60.00  
   1024x768      60.00  
   1024x576      60.00  
   960x540       60.00  
   800x600       60.32    56.25  
   864x486       60.00  
   640x480       59.94  
   720x405       60.00  
   640x360       60.00  
DP1 disconnected (normal left inverted right x axis y axis)
DP2 disconnected (normal left inverted right x axis y axis)
DP2-1 connected primary 1920x1080+1920+0 (normal left inverted right x axis y axis) 510mm x 287mm
   1920x1080     60.00*+
   1680x1050     59.95  
   1400x1050     59.98  
   1600x900      60.00  
   1280x1024     75.02    60.02  
   1440x900      59.89  
   1280x960      60.00  
   1280x800      59.81  
   1152x864      75.00  
   1280x720      60.00  
   1024x768      75.08    70.07    60.00  
   832x624       74.55  
   800x600       72.19    75.00    60.32    56.25  
   640x480       75.00    72.81    66.67    60.00  
   720x400       70.08  
DP2-2 disconnected (normal left inverted right x axis y axis)
DP2-3 disconnected (normal left inverted right x axis y axis)
HDMI1 disconnected (normal left inverted right x axis y axis)
HDMI2 disconnected (normal left inverted right x axis y axis)
VIRTUAL1 disconnected (normal left inverted right x axis y axis)


Attaching screenshots, compare UI sizes between left and right display.
Comment 3 Kamil Páral 2016-04-19 08:27 EDT
Created attachment 1148543 [details]
normal size
Comment 4 Kamil Páral 2016-04-19 08:28 EDT
Created attachment 1148544 [details]
bigger size
Comment 5 Couret Charles-Antoine 2016-04-28 03:09:58 EDT
I have the same problem here with my three screens.
Comment 7 Fedora End Of Life 2016-11-25 02:23:58 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2016-12-20 15:01:57 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.